Index: c/src/exec/rtems/include/rtems.h
===================================================================
--- c/src/exec/rtems/include/rtems.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -49,5 +49,5 @@
 
 #include <rtems/rtems/support.h>
-#include <rtems/core/sysstate.h>
+#include <rtems/score/sysstate.h>
 
 #define RTEMS_HAS_HARDWARE_FP CPU_HARDWARE_FP
Index: c/src/exec/rtems/include/rtems/rtems/clock.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/clock.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/clock.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -30,5 +30,5 @@
 #endif
 
-#include <rtems/core/tod.h>
+#include <rtems/score/tod.h>
 #include <rtems/rtems/types.h>
 
Index: c/src/exec/rtems/include/rtems/rtems/dpmem.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/dpmem.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/dpmem.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -33,5 +33,5 @@
 #endif
 
-#include <rtems/core/object.h>
+#include <rtems/score/object.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/event.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/event.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/event.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -29,9 +29,9 @@
 #endif
 
-#include <rtems/core/object.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/types.h>
 #include <rtems/rtems/options.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 #include <rtems/rtems/eventset.h>
 
Index: c/src/exec/rtems/include/rtems/rtems/eventmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/eventmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/eventmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -23,8 +23,8 @@
 
 #include <rtems/rtems/event.h>
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/intr.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/intr.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/intr.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,5 +22,5 @@
 #endif
 
-#include <rtems/core/isr.h>
+#include <rtems/score/isr.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/message.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/message.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/message.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -36,9 +36,9 @@
 
 #include <rtems/rtems/types.h>
-#include <rtems/core/chain.h>
-#include <rtems/core/object.h>
+#include <rtems/score/chain.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/attr.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/coremsg.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/coremsg.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/modes.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/modes.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/modes.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,5 +22,5 @@
 #endif
 
-#include <rtems/core/isr.h>
+#include <rtems/score/isr.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/msgmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/msgmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/msgmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -23,9 +23,9 @@
 
 #include <rtems/rtems/message.h>
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/options.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/part.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/part.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/part.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -32,6 +32,6 @@
 #endif
 
-#include <rtems/core/address.h>
-#include <rtems/core/object.h>
+#include <rtems/score/address.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/attr.h>
 #include <rtems/rtems/types.h>
Index: c/src/exec/rtems/include/rtems/rtems/partmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/partmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/partmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,8 +22,8 @@
 #endif
 
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/options.h>
-#include <rtems/core/thread.h>
+#include <rtems/score/thread.h>
 
 #include <rtems/rtems/part.h>
Index: c/src/exec/rtems/include/rtems/rtems/ratemon.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/ratemon.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/ratemon.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -30,7 +30,7 @@
 #endif
 
-#include <rtems/core/object.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/object.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/region.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/region.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/region.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -31,7 +31,7 @@
 #endif
 
-#include <rtems/core/object.h>
-#include <rtems/core/threadq.h>
-#include <rtems/core/heap.h>
+#include <rtems/score/object.h>
+#include <rtems/score/threadq.h>
+#include <rtems/score/heap.h>
 #include <rtems/debug.h>
 #include <rtems/rtems/attr.h>
Index: c/src/exec/rtems/include/rtems/rtems/regionmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/regionmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/regionmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,7 +22,7 @@
 #endif
 
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
-#include <rtems/core/thread.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
+#include <rtems/score/thread.h>
 
 #include <rtems/rtems/options.h>
Index: c/src/exec/rtems/include/rtems/rtems/sem.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/sem.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/sem.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -36,8 +36,8 @@
 #include <rtems/rtems/tasks.h>
 #include <rtems/rtems/attr.h>
-#include <rtems/core/coremutex.h>
-#include <rtems/core/object.h>
-#include <rtems/core/coresem.h>
-#include <rtems/core/threadq.h>
+#include <rtems/score/coremutex.h>
+#include <rtems/score/object.h>
+#include <rtems/score/coresem.h>
+#include <rtems/score/threadq.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/semmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/semmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/semmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,10 +22,10 @@
 #endif
 
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/options.h>
 #include <rtems/rtems/sem.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/signal.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/signal.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/signal.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -30,5 +30,5 @@
 #include <rtems/rtems/asr.h>
 #include <rtems/rtems/modes.h>
-#include <rtems/core/object.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/status.h>
 #include <rtems/rtems/types.h>
Index: c/src/exec/rtems/include/rtems/rtems/signalmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/signalmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/signalmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -23,8 +23,8 @@
 
 #include <rtems/rtems/asr.h>
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
-#include <rtems/core/thread.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
+#include <rtems/score/thread.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/taskmp.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/taskmp.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/taskmp.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -22,10 +22,10 @@
 #endif
 
-#include <rtems/core/mppkt.h>
-#include <rtems/core/object.h>
+#include <rtems/score/mppkt.h>
+#include <rtems/score/object.h>
 #include <rtems/rtems/options.h>
-#include <rtems/core/priority.h>
+#include <rtems/score/priority.h>
 #include <rtems/rtems/tasks.h>
-#include <rtems/core/thread.h>
+#include <rtems/score/thread.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/tasks.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/tasks.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/tasks.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -39,7 +39,7 @@
 #endif
 
-#include <rtems/core/object.h>
-#include <rtems/core/states.h>
-#include <rtems/core/thread.h>
+#include <rtems/score/object.h>
+#include <rtems/score/states.h>
+#include <rtems/score/thread.h>
 #include <rtems/rtems/types.h>
 #include <rtems/rtems/eventset.h>
Index: c/src/exec/rtems/include/rtems/rtems/timer.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/timer.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/timer.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -34,7 +34,7 @@
 #endif
 
-#include <rtems/core/object.h>
-#include <rtems/core/tod.h>
-#include <rtems/core/watchdog.h>
+#include <rtems/score/object.h>
+#include <rtems/score/tod.h>
+#include <rtems/score/watchdog.h>
 
 /*
Index: c/src/exec/rtems/include/rtems/rtems/types.h
===================================================================
--- c/src/exec/rtems/include/rtems/rtems/types.h	(revision be650a843caf7f920c4af44bad7f48c23a189989)
+++ c/src/exec/rtems/include/rtems/rtems/types.h	(revision 5e9b32b439627068a0292370fe595220dbfc95a0)
@@ -21,9 +21,9 @@
 #endif
 
-#include <rtems/core/object.h>
-#include <rtems/core/priority.h>
+#include <rtems/score/object.h>
+#include <rtems/score/priority.h>
 #include <rtems/rtems/modes.h>
-#include <rtems/core/mpci.h>
-#include <rtems/core/mppkt.h>
+#include <rtems/score/mpci.h>
+#include <rtems/score/mppkt.h>
 
 /*
